
void _efl_ui_collection_view_focus_manager_efl_ui_focus_manager_manager_focus_set(Eo *obj, Efl_Ui_Collection_View_Focus_Manager_Data *pd, Efl_Ui_Focus_Object *focus);


Efl_Ui_Focus_Object *_efl_ui_collection_view_focus_manager_efl_ui_focus_manager_request_move(Eo *obj, Efl_Ui_Collection_View_Focus_Manager_Data *pd, Efl_Ui_Focus_Direction direction, Efl_Ui_Focus_Object *child, Eina_Bool logical);


static Eina_Bool
_efl_ui_collection_view_focus_manager_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_COLLECTION_VIEW_FOCUS_MANAGER_EXTRA_OPS
#define EFL_UI_COLLECTION_VIEW_FOCUS_MANAGER_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_focus_manager_focus_set, _efl_ui_collection_view_focus_manager_efl_ui_focus_manager_manager_focus_set),
      EFL_OBJECT_OP_FUNC(efl_ui_focus_manager_request_move, _efl_ui_collection_view_focus_manager_efl_ui_focus_manager_request_move),
      EFL_UI_COLLECTION_VIEW_FOCUS_MANAGER_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_collection_view_focus_manager_class_desc = {
   EO_VERSION,
   "Efl.Ui.Collection_View_Focus_Manager",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Collection_View_Focus_Manager_Data),
   _efl_ui_collection_view_focus_manager_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_collection_view_focus_manager_class_get, &_efl_ui_collection_view_focus_manager_class_desc, EFL_UI_FOCUS_MANAGER_CALC_CLASS, NULL);
